<?php echo '<?xml version="1.0" encoding="UTF-8"?>' ?>
<?php
	require_once '../labappconstants.php';
	require_once 'classes/kmlgenerator.php';
	require_once 'classes/placemarkiterator.php';

	$args = ($_SERVER['REQUEST_METHOD'] == "POST") ? $_POST : $_GET;

	$errorMsg = null;
	$errorDetail = null;

	try
	{
		MgInitializeWebTier($CONFIG_FILE);
		
		$kmlGenerator = new KmlGenerator($args);
		
		$style = $kmlGenerator->GetStyle();
		$placeMarkIterator = $kmlGenerator->GetPlacemarkIterator();
	}
	catch (MgException $mge)
	{
		$errorMsg = $mge->GetMessage();
		$errorDetail = $mge->GetDetails();
	}
	catch (Exception $e)
	{
		$errorMsg = $e->GetMessage();
	}
?>
<kml xmlns="http://earth.google.com/kml/2.0">
<Document>
<?= $style ?>
<Folder>
<description><?= $kmlGenerator->GetLayerDescription(); ?></description>
<name><?= $kmlGenerator->GetLayerName(); ?></name>
<visibility>0</visibility>
<open>0</open>
<?php
while($placeMarkIterator->Next()) {
?>
<?= $placeMarkIterator->GetPlacemark(); ?> 
<?php
} 
?>
</Folder>
</Document>
</kml>
